--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Make the default UI accessable without the &quot;ui.&quot; prefix. Classes including this module may use the interaction methods on the default UI directly. Classes may also reference the <tt>ui</tt> and <tt>ui=</tt> methods.
- !ruby/struct:SM::Flow::P 
  body: "Example:"
- !ruby/struct:SM::Flow::VERB 
  body: "  class X\n    include Gem::UserInteraction\n\n    def get_answer\n      n = ask(&quot;What is the meaning of life?&quot;)\n    end\n  end\n"
constants: []

full_name: Gem::UserInteraction
includes: 
- !ruby/object:RI::IncludedModule 
  name: DefaultUserInteraction
instance_methods: []

name: UserInteraction
superclass: 
